| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csSoftFontCache Class Reference
[Common Plugin Classes]

Font cache base class for software canvases. More...

`#include <csplugincommon/canvas/softfontcache.h>`

Inheritance diagram for csSoftFontCache:

[legend]
List of all members.

## Public Member Functions
virtual GlyphCacheData * | InternalCacheGlyph (KnownFont *font, utf32_char glyph, uint flags)
| Cache canvas-dependent information for a specific font/glyph pair.
virtual void | InternalUncacheGlyph (GlyphCacheData *cacheData)
| Uncache canvas-dependent information.
## Public Attributes
size_t | cacheRemaining
csGraphics2D * | G2D
## Classes
struct | SoftGlyphCacheData

## Detailed Description

Font cache base class for software canvases.

See also:
  csSoftFontCacheImpl

Definition at line 40 of file softfontcache.h.

## Member Function Documentation

virtual GlyphCacheData* csSoftFontCache::InternalCacheGlyph | ( | KnownFont * | font,
|  | utf32_char | glyph,
|  | uint | flags |
| ) |  |  | `[virtual]`

Cache canvas-dependent information for a specific font/glyph pair.

virtual void csSoftFontCache::InternalUncacheGlyph | ( | GlyphCacheData * | cacheData | ) | `[virtual]`

Uncache canvas-dependent information.

The documentation for this class was generated from the following file:

- csplugincommon/canvas/softfontcache.h